pragma foreign_keys = 0;

begin;
attach database 'baseball-raw.db' as 'raw';

create temp table awardsshareplayers as
select * from "raw".awardsshareplayers;

update temp.awardsshareplayers
set awardid = 'Cy Young Award'
where awardid = 'Cy Young';

update temp.awardsshareplayers
set awardid = 'Most Valuable Player'
where awardid = 'MVP';

CREATE TABLE IF NOT EXISTS main."awardsshareplayers" (
	"award"	TEXT,
	"year"	NUMERIC,
	"league"	TEXT,
	"player"	TEXT,
	"pointsWon"	NUMERIC	check (pointsWon <= pointsMax),
	"pointsMax"	NUMERIC,
	"votesFirst"	NUMERIC,
	PRIMARY KEY("award","year","player","league"),
	foreign key("player") references "people"("ID"),
	foreign key("award","year","league") references "yearlyawards"("award","year","league")
);

insert into main.awardsshareplayers select distinct * from temp."awardsshareplayers";
commit;
